API ReferenceGeneral
Delete specific VICAL
DELETE
Deletes a specific VICAL from the requested ecosystem by providing the VICAL version identifier. Deleting a VICAL also deletes the issuer policy published from it, if one exists. This action cannot be undone.
A 404 is only returned when the ecosystem does not exist. Deleting a vicalIssueId that does
not exist within an existing ecosystem still returns 204.
Roles
admindts-provider
Analytics Events
ECOSYSTEM_VICAL_DELETE_STARTECOSYSTEM_VICAL_DELETE_SUCCESSECOSYSTEM_VICAL_DELETE_FAIL
bearerAuthheader
AuthorizationBearer <token>ecosystemId*stringThe UUID of the ecosystem
Format
uuidvicalIssueId*integerUnique identifier of a specific VICAL version. This numeric value is continuously increased whenever a VICAL is created.
Format
int32VICAL deleted
curl -X DELETE "https://example.com/v1/ecosystems/87880d7e-a4d0-462e-8383-3f1e5e16865d/vicals/1337"Empty
How would you rate this page?